<?php

namespace Drupal\recombee;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface defining a Recombee template.
 */
interface RecombeeTemplateInterface extends ConfigEntityInterface {

  /**
   * Gets the markup for this Recombee template.
   *
   * @return string
   *   The template markup.
   */
  public function getMarkup();

  /**
   * Sets the markup for this Recombee template.
   *
   * @param string $markup
   *   The template markup.
   *
   * @return $this
   */
  public function setMarkup($markup);

}
